﻿<div class="page-content popupReplies">
    <div class="content-block" style="padding-top:0px">
        <div class="row">
            <h2>
                <span ng-click="GoBack()" class="close-popup">
                    <i class="ionicons ion-close-round"></i>
                </span>
                <span>تعديل البيانات</span>
            </h2>
        </div>
        <div class="list-block">
            <form name="$parent.editProfileForm" ng-submit="submitForm($parent.editProfileForm.$valid)" novalidate>
                <ul>

                    <li>
                        <div class="img_content">
                            <img id="imgUploading" src="img/load.svg" class="img-uploading" />
                            <img data-ng-src="{{userDetailsForm.userImage | generateURL}}" src="../img/square.svg" class="lazy" fallback-src="img/profile.png" />
                        </div>
                        <p><a ng-click="AddImage()" class="button button-round yellow">إضافة صورة</a></p>
                        <p><a ng-click="RemoveImage()" class="button button-round yellow red">حذف الصورة</a></p>
                    </li>

                    <li>
                        <div class="item-content" ng-class="editProfilesubmitted && userDetailsReset && $parent.editProfileForm.name.$invalid?'has-error':'no-error'">
                            <div class="item-inner">
                                <div class="item-input">
                                    <input name="name" type="text" placeholder="الاسم بالكامل" ng-model="userDetailsForm.name" required>
                                </div>
                            </div>
                        </div>
                        <p ng-if="editProfilesubmitted && userDetailsReset && $parent.editProfileForm.name.$error.required" class="error-block">يجب إدخال الإسم الكامل</p>
                    </li>
                    <li>
                        <div class="item-content" ng-class="editProfilesubmitted && userDetailsReset && $parent.editProfileForm.age.$invalid?'has-error':'no-error'">
                            <div class="item-inner">
                                <div class="item-input">
                                    <input name="age" type="number" placeholder="العمر" ng-pattern="ageRegex" ng-model="userDetailsForm.age" required>
                                </div>
                            </div>
                        </div>
                        <p ng-if="editProfilesubmitted && userDetailsReset && $parent.editProfileForm.age.$error.required" class="error-block">يجب إدخال العمر</p>
                        <p ng-if="editProfilesubmitted && userDetailsReset && $parent.editProfileForm.age.$error.pattern" class="error-block">العمر غير صحيح</p>
                        <p ng-if="editProfilesubmitted && userDetailsReset && $parent.editProfileForm.age.$error.minlength" class="error-block">العمر يجب ألا يقل عن رقمين</p>
                        <p ng-if="editProfilesubmitted && userDetailsReset && $parent.editProfileForm.age.$error.maxlength" class="error-block">العمر يجب ألا يزيد عن ثلاثة أرقام</p>
                    </li>
                    <li>
                        <div class="item-content" ng-class="editProfilesubmitted  && userDetailsReset && $parent.editProfileForm.address.$invalid?'has-error':'no-error'">
                            <div class="item-inner">
                                <div class="item-input">
                                    <input name="address" type="text" placeholder="العنوان" ng-model="userDetailsForm.address" required>
                                </div>
                            </div>
                        </div>
                        <p ng-if="editProfilesubmitted && userDetailsReset && $parent.editProfileForm.address.$error.required" class="error-block">يجب إدخال العنوان</p>
                    </li>
                    <li>
                        <div class="item-content" ng-class="editProfilesubmitted && userDetailsReset && $parent.editProfileForm.mobile.$invalid?'has-error':'no-error'">
                            <div class="item-inner">
                                <div class="item-input">
                                    <input type="tel" placeholder="رقم الجوال" name="mobile" class="form-control" ng-pattern="ageRegex" ng-model="userDetailsForm.mobile" required ng-minlength="10" ng-maxlength="10">
                                </div>
                            </div>
                        </div>
                        <p ng-if="editProfilesubmitted && userDetailsReset && $parent.editProfileForm.mobile.$error.required" class="error-block">يجب إدخال الجوال</p>
                        <p ng-if="editProfilesubmitted && userDetailsReset && $parent.editProfileForm.mobile.$error.pattern" class="error-block">الجوال غير صحيح</p>
                        <p ng-if="editProfilesubmitted && userDetailsReset && $parent.editProfileForm.mobile.$error.minlength" class="error-block">الجوال يجب ألا يقل عن عشرة أرقام</p>
                        <p ng-if="editProfilesubmitted && userDetailsReset && $parent.editProfileForm.mobile.$error.maxlength" class="error-block">الجوال يجب ألا يزيد عن عشرة أرقام</p>
                    </li>
                    <li ng-hide="editBySocial">
                        <div class="item-content" ng-class="editProfilesubmitted  && userDetailsReset && $parent.editProfileForm.email.$invalid?'has-error':'no-error'">
                            <div class="item-inner">
                                <div class="item-input">
                                    <input name="email" type="email" placeholder="البريد الإلكترونى" ng-pattern="emailRegex" ng-model="userDetailsForm.email" ng-required="emailRequired" >
                                </div>
                            </div>
                        </div>
                        <p ng-if="editProfilesubmitted && userDetailsReset && $parent.editProfileForm.email.$error.required" class="error-block">يجب إدخال البريد الإلكتروني</p>
                        <p ng-if="editProfilesubmitted && userDetailsReset && $parent.editProfileForm.email.$error.pattern" class="error-block">البريد الإلكتروني غير صحيح</p>
                    </li>
                </ul>
                <p>
                    <button type="submit" ng-click="editProfilesubmitted=true" class="button button-round purple">تعديل</button>
                </p>
            </form>
        </div>
    </div>
</div>